2021-10-24 15:04 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0005022KingsQuestEnhanced[WHDLoad Installs Games] OCSpublic2021-03-14 21:12
ReporterLovrenco 
Assigned ToJOTDProject InfoKing's Quest Enhanced (Sierra)
http://www.whdload.de/games/KingsQuestEnhanced.html
 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionreopened 
Summary0005022: Game breaks if I try to save, see attached screenshot
DescriptionStock A600, 2MB chip 8MB fast, no slow ram.

If I try to save I get this error (screenshot).
I also get this error on SpaceQuest Enchanced Whd install.

I tried some other games, whd installs and saving works.
- Loom
- Fascination
- Fate Of Atlantis
- Beneath a steel sky

Everything on this amiga is latest, latest OS, latest WHDload, latest retroplay whdload pack.
TagsNo tags attached.
MachineA600
CPU68000
CPUSpeed7
ChipSetECS
GFXCardNone
ChipMem2 MB
FastMem8 MB
WorkbenchOS 3.1.4
KickROM46 - Kick 3.1.4
KickSoftNone
WHDLoad18.6
imported
Attached Files

-Relationships
has duplicate 0005021closedJOTD Game breaks if I try to save, see attached screenshot 
+Relationships

-Notes

note ~0009588

JOTD (developer)

can you test the attached slave?

note ~0009590

Lovrenco (reporter)

I just did. Crash again, here you go, photo attached.

note ~0009601

Lovrenco (reporter)

Hello, anything I can do to test further?

note ~0009612

Lovrenco (reporter)

One more fact. I get same error on "begin game" screen, if I select "Continue game" button.
I read on your http://www.whdload.de/games/KingsQuestEnhanced.html
 - saves redirected to "save" directory

I did not see that directory within game folder, so I created one, but game behaves the same.

note ~0009615

JOTD (developer)

got it fixed here. I'll release it later

note ~0009710

Lovrenco (reporter)

Fix did solve game breaking while opening load/save window.
However, I tried to save and I get black screen with regular flashing of HDD led, and Monitor.

As it tries to save game, but does not succeeds.
Also, F10 which is my quit whdload key set on A600, stops responding at that moment, only thing I can do is to reboot amiga

note ~0009711

JOTD (developer)

Last edited: 2021-03-12 21:44

View 2 revisions

ah that will be OS swaps. If game writes with very small data chunks it can be a real pain.

That's a different issue. Not too difficult to fix. But should need another mantis ticket. Anyway, I'll try to fix it.

note ~0009716

JOTD (developer)

fixed it in 1.3

note ~0009721

Lovrenco (reporter)

Just wanted to add few comments.
Saving game works now, it takes few seconds to start, then 4 screen blinks, in between 4 HDD led blinks.
But it saves OK and it Restores game fine. Good work.

Interesting, I use ClassicWB. I run WHDLOAD form workbench and game saved OK.
But ClassicWB have some sort of early boot menu (holding right click) which enables you to run whdload without loading full OS (less hungry for resources).
Anyway, I tried to restore game there and I got this message (within the game):
"This game was saved under a different interpreter. It cannot be restored."
I do not know if this is related to the game save procedure or whdload itself. However, I wanted to report that.


P.S. There is a same issue with game crashing on Space Quest Enchanced. I might open other issue for that if needed.

Kind regards.

note ~0009722

JOTD (developer)

it's very surprising. The savegames are probably seen as corrupt... I won't be able to do something here, not a problem with the slave, possibly whdload or os config lacking patches.... if you have a config where you can play, stick to it.

You may want to try save then restore from early boot menu too. See what happens.

Don't hesitate to open a separate bug for SQ enhanced

note ~0009723

Lovrenco (reporter)

Thanks. If you save on early boot, and you restore it when starting whdload under full Workbench, it works. Strange.

But thanks for the support, lets mark this issue resolved.
+Notes

-Issue History
Date Modified Username Field Change
2021-02-17 21:34 Lovrenco New Issue
2021-02-17 21:34 Lovrenco File Added: KingsQuestEnch.jpg
2021-02-17 21:36 JOTD Assigned To => JOTD
2021-02-17 21:36 JOTD Status new => acknowledged
2021-02-17 21:40 JOTD File Added: KingsQuestEnhanced.zip
2021-02-17 21:41 JOTD Note Added: 0009588
2021-02-17 21:42 JOTD Relationship added has duplicate 0005021
2021-02-17 22:08 Lovrenco File Added: KingSlave.jpg
2021-02-17 22:08 Lovrenco Note Added: 0009590
2021-02-19 22:40 Lovrenco Note Added: 0009601
2021-02-20 20:09 Lovrenco Note Added: 0009612
2021-02-20 23:07 JOTD Note Added: 0009615
2021-02-21 12:16 JOTD Status acknowledged => closed
2021-02-21 12:16 JOTD Resolution open => fixed
2021-03-12 21:26 Lovrenco Status closed => feedback
2021-03-12 21:26 Lovrenco Resolution fixed => reopened
2021-03-12 21:26 Lovrenco Note Added: 0009710
2021-03-12 21:43 JOTD Note Added: 0009711
2021-03-12 21:44 JOTD Note Edited: 0009711 View Revisions
2021-03-13 22:30 JOTD Status feedback => closed
2021-03-13 22:30 JOTD Note Added: 0009716
2021-03-14 20:38 Lovrenco Status closed => feedback
2021-03-14 20:38 Lovrenco Note Added: 0009721
2021-03-14 20:51 JOTD Note Added: 0009722
2021-03-14 21:01 Lovrenco Note Added: 0009723
2021-03-14 21:01 Lovrenco Status feedback => assigned
2021-03-14 21:12 JOTD Status assigned => closed
+Issue History